Page MenuHomePhabricator

Rename EventLogging column surveyInstanceToken to pageviewToken in QuickSurveysResponses for consistency
Closed, ResolvedPublic

Description

This is the name of the property in JS now standardized in cores for all extensions to use.

It's now consistent in the NavigationTiming and ResourceTiming EventLogging schemas. Making it consistent for QuickSurveysResponses as well would make joins between these 3 tables less confusing.

Event Timeline

Gilles triaged this task as Medium priority.Sep 20 2018, 9:03 AM
Gilles created this task.

Change 461606 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/QuickSurveys@master] Rename surveyInstanceToken to pageviewToken

https://gerrit.wikimedia.org/r/461606

Krinkle removed a subscriber: Krinkle.Sep 20 2018, 11:35 PM

Change 461606 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Rename surveyInstanceToken to pageviewToken

https://gerrit.wikimedia.org/r/461606

stjn removed a subscriber: stjn.Oct 11 2018, 7:56 PM

Recent entries have a null surveyInstanceToken and no pageviewToken field in Hive. Triggering the survey manually and looking at the beacon call, the schema version is correct, however there isn't any surveyInstanceToken not pageviewToken parameter passed.

Change 468540 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/QuickSurveys@master] Fix pageviewToken casing issues

https://gerrit.wikimedia.org/r/468540

Change 468540 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Fix pageviewToken casing issues

https://gerrit.wikimedia.org/r/468540

Gilles moved this task from Inbox to Doing on the Performance-Team board.Oct 22 2018, 8:39 PM
Gilles closed this task as Resolved.Oct 26 2018, 10:08 AM
SELECT COUNT(*) FROM event.quicksurveyinitiation WHERE year = 2018 and month = 10 AND day = 26 AND event.pageviewToken IS NOT NULL;

2500

SELECT COUNT(*) FROM event.quicksurveysresponses WHERE year = 2018 and month = 10 AND day = 26 AND event.pageviewToken IS NOT NULL;

44